
QGIS Application - Bug report #14718

QGIS freezes while paning/zooming if several layers are visible at the same time

2016-04-22 05:37 AM - Thomas Baumann

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:2.14.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 22678

Description

We are using a QGIS-project with several WMS-Layers(up to 20) and Shapefiles for digitizing. There are random freezes of QGIS which

end up in a crash of the program.

Minidumps are not always written but sometimes.

I tried to analyze the Dumpfiles with WinDBG but have no experience in debugging QGIS-dumpfiles so I am not sure if I need more

QT-symbol-files to analyze the dumpfiles properly.

I have attached a textfile with some information from the dump-analyze:

Here a part of the attached file:

DBGHELP: QtGui4 - export symbols

rax=0000027a00000001 rbx=00000000001ef188 rcx=000000000354bec0

rdx=0000027af52ef881 rsi=000000001ea5df10 rdi=000000001ea5df10

rip=000000006093c00a rsp=000000001dfdbcc0 rbp=000000000354bec0

 r8=000000001dfdc148  r9=000000001ea5df10 r10=000000000352b5a0

r11=0000000047b28d4d r12=000000001dfdc148 r13=000000000219f3d0

r14=0000000000000000 r15=000000001dfdc148

iopl=0         nv up ei pl zr na po nc

cs=0033  ss=002b  ds=002b  es=002b  fs=0053  gs=002b             efl=00010246

QtGui4!QGestureRecognizer::reset+0x770a:

00000000`6093c00a 488b02          mov     rax,qword ptr [rdx] ds:0000027a`f52ef881=????????????????

---

DBGHELP: spatialindex_64 - export symbols

rax=0000000029017470 rbx=0000000000000002 rcx=0000000028e96ec0

rdx=00000000ffffffff rsi=0000000029018b58 rdi=0000000000000001

rip=000007fef52dc1f3 rsp=00000000002a9b78 rbp=0000000000000008

 r8=0000000028e96fc0  r9=000007fef52dc1e0 r10=000000000042d300

r11=00000000290188f0 r12=0000000029018b30 r13=0000000000000000

r14=000007fef52dc1e0 r15=0000000029018b80

iopl=0         nv up ei pl nz na pe nc

cs=0033  ss=002b  ds=002b  es=002b  fs=0053  gs=002b             efl=00010202

spatialindex_64!SpatialIndex::MVRTree::Data::storeToByteArray+0xe853:

000007fe`f52dc1f3 f20f1004d1      movsd   xmm0,mmword ptr [rcx+rdx*8] ds:00000008`28e96eb8=????????????????

History
#1 - 2016-05-03 12:23 AM - Thomas Baumann

- File dump_analysis2.txt added

perhaps is has something to do with the snapping-tools?

EXCEPTION_RECORD:  ffffffffffffffff -- (.exr 0xffffffffffffffff)

ExceptionAddress: 000007fed5f60b55 (qgis_core!QgsGeometry::closestVertex+0x0000000000000025)

   ExceptionCode: c0000005 (Access violation)

...

spatialindex_64!SpatialIndex::RTree::Data::getShape+0x1a7f

00000000`002ca700 000007fe`d5e1ebed : 00000000`002cab48 00000000`5a1b4c7a ffffffff`fffffffe 00000000`61068ddb :

qgis_core!QgsPointLocator::nearestVertex+0x158

00000000`002ca890 000007fe`d5e24354 : 00000000`002cac78 00000000`00000010 00000000`058ea4a0 00000000`00000001 :

qgis_core!QgsSnappingUtils::destCRS+0x24d

00000000`002ca980 000007fe`d5e25232 : 00000000`002caf20 00000000`02b96620 3f9e4ce0`5bd5bd5b 00000000`00000000 :

qgis_core!QgsSnappingUtils::snapToMap+0x214

00000000`002cae70 000007fe`d9e6732a : 00000000`00000000 00000000`0593dbd0 00000000`1a8f3550 00000000`32d07c22 :

qgis_core!QgsSnappingUtils::snapToMap+0x42

00000000`002caeb0 000007fe`d9e67ab8 : 41541eca`c60be1ed 00000000`002cb748 00000000`002cb748 00000000`00000000 :

qgis_app!QgsMeasureTool::snapPoint+0x5a

00000000`002cafa0 000007fe`d5582703 : 00000000`043e8b70 00000000`1a8f35a0 00000000`00000000 00000000`043e8b70 :

qgis_app!QgsMeasureTool::canvasReleaseEvent+0x28

00000000`002caff0 00000000`5a4ba465 : 00000000`5a450000 00000000`1a8f3530 00000000`002cb748 00000000`0447fb20 :

qgis_gui!QgsMapCanvas::mouseReleaseEvent+0x103

00000000`002cb030 00000000`5a7bd5b7 : 00000000`301ae070 00000000`043e8b70 00000000`301add10 00000000`04474e90 :

QtGui4!QWidget::event+0xd5

00000000`002cb1b0 00000000`5a98503f : 00000000`04469f30 00000000`043e8b70 00000000`00000001 00000000`00000000 :

QtGui4!QFrame::event+0x37

00000000`002cb1e0 00000000`5a271a93 : 00000000`00000002 00000000`04469f30 00000000`002cb748 ffffffff`fffffffe :

QtGui4!QGraphicsView::viewportEvent+0x3df

(see attached txt-file)

#2 - 2016-05-17 10:49 PM - Thomas Baumann

- Status changed from Open to Closed

#3 - 2017-09-22 10:05 AM - Jürgen Fischer

- Category set to Unknown

Files

dump_analyze.txt 7.39 KB 2016-04-22 Thomas Baumann

dump_analysis2.txt 26 KB 2016-05-02 Thomas Baumann
